"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const aws_dynamodb_streams_1 = require("aws-dynamodb-streams");
class Collection {
    constructor(tableName, documentClient) {
        this.tableName = tableName;
        this.documentClient = documentClient;
    }
    get(key) {
        return new Promise((rs, rj) => {
            this.documentClient.get({
                TableName: this.tableName,
                Key: key,
            }, (err, output) => {
                if (err)
                    rj(err);
                else
                    rs(output.Item);
            });
        });
    }
    scan(input) {
        return new aws_dynamodb_streams_1.Scan(this.documentClient, Object.assign({}, input, { TableName: this.tableName }));
    }
    query(input) {
        return new aws_dynamodb_streams_1.Query(this.documentClient, Object.assign({}, input, { TableName: this.tableName }));
    }
}
exports.Collection = Collection;
